Page MenuHomePhabricator

[PowerPC] Support f128 under VSX
ClosedPublic

Authored by qiucf on Dec 1 2020, 2:10 AM.

Details

Reviewers
nemanjai
lei
jsji
kbarton
steven.zhang
Group Reviewers
Restricted Project
Commits
rGb8203397522f: [PowerPC] Support f128 under VSX
Summary

This patch is the last one in backend to support fp128 type in pre-Power9 subtargets, removing temporary option and updating remaining tests.

Diff Detail

Event Timeline

steven.zhang created this revision.Dec 1 2020, 2:10 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 1 2020, 2:10 AM
steven.zhang retitled this revision from [PowerPC] Enable the IEEE Long Double support for Power8 by default to [PowerPC] Support the IEEE Long Double support for Power8.Dec 11 2020, 2:09 AM
steven.zhang retitled this revision from [PowerPC] Support the IEEE Long Double support for Power8 to [PowerPC] Support the IEEE Long Double if altivec enabled.

Since we change the requirement from Altivec to VSX, is this patch still relevant?

qiucf commandeered this revision.Mar 23 2021, 10:30 PM
qiucf edited reviewers, added: steven.zhang; removed: qiucf.
qiucf updated this revision to Diff 334050.Mar 29 2021, 10:43 PM
qiucf retitled this revision from [PowerPC] Support the IEEE Long Double if altivec enabled to [PowerPC] Support f128 under VSX.
qiucf edited the summary of this revision. (Show Details)

Change requirement from Altivec to VSX to align with GCC behavior.

steven.zhang accepted this revision.Apr 11 2021, 7:41 PM

LGTM. But please do a complete test before enabling it by default.

This revision is now accepted and ready to land.Apr 11 2021, 7:41 PM
This revision was landed with ongoing or failed builds.Tue, Apr 20, 12:50 AM
This revision was automatically updated to reflect the committed changes.